com.sun.mirror.type

## Interface ArrayType

- All Superinterfaces:
    ReferenceType, TypeMirror

  Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. The replacement for the functionality of this interface is `ArrayType`.

      @Deprecated
      public interface ArrayType
      extends ReferenceType

  Represents an array type. A multidimensional array type is represented as an array type whose component type is also an array type.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeMirror` | `getComponentType()` Deprecated. Returns the component type of this array type.

    - ### Methods inherited from interface com.sun.mirror.type.TypeMirror

      `accept, equals, toString`

- - ### Method Detail

    - #### getComponentType

          TypeMirror getComponentType()

      Deprecated.
      Returns the component type of this array type.
      Returns:
        the component type of this array type

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.